## org.apache.lucene.spatial.geohash
Class GeoHashUtils

    java.lang.Object
      org.apache.lucene.spatial.geohash.GeoHashUtils

    public class GeoHashUtils

extends java.lang.Object

Based on http://en.wikipedia.org/wiki/Geohash

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`GeoHashUtils()`

Method Summary
`static double[]` `decode_exactly(java.lang.String geohash)`
`static double[]` `decode(java.lang.String geohash)`
`static java.lang.String` `encode(double latitude, double longitude)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoHashUtils

    public GeoHashUtils()

Method Detail

### main

    public static void main(java.lang.String[] args)

### encode

    public static java.lang.String encode(double latitude,
                                          double longitude)

### decode

    public static double[] decode(java.lang.String geohash)

### decode_exactly

    public static double[] decode_exactly(java.lang.String geohash)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.